2017-08-16 14:59 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0010604Buildsyscommunity buildsyspublic2017-08-09 13:02
Reporterroidelapluie 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Summary0010604: Commen and Puppet tags for sig-configmanagement
DescriptionHere are the inital tags requests for sig-configmanagement (covers the Puppet project and commons)

configmanagement7-common-{candidate,testing,release}
configmanagement6-common-{candidate,testing,release}

configmanagement7-facter31-{candidate,testing,release}
configmanagement6-facter31-{candidate,testing,release}

configmanagement7-hiera31-{candidate,testing,release}
configmanagement6-hiera31-{candidate,testing,release}

configmanagement7-puppet44-{candidate,testing,release}
configmanagement6-puppet44-{candidate,testing,release}

configmanagement7-puppetserver23-{candidate,testing,release}
configmanagement6-puppetserver23-{candidate,testing,release}

configmanagement7-cmake3-{candidate,testing,release}
configmanagement6-cmake3-{candidate,testing,release}

configmanagement7-puppet-pc1-{candidate,testing,release}
configmanagement6-puppet-pc1-{candidate,testing,release}




TagsNo tags attached.
Attached Files

-Relationships
related to 0010850resolvedalphacc [ConfigManagement SIG] git branches, build targets and tags in cbs for Ansible 1.9 
+Relationships

-Notes

~0026115

alphacc (developer)

Hi,

To me cmake looks like a good candidate for -common ; I don't think we need a full tag for that.
But we may have reason to separate it.

The tag format must follow :
<sig><major>-<project>-<release>-*


Thomas.

~0026116

roidelapluie (reporter)

I did not add it in common because this is only for the buildchain.

Also, having a cmake3 tag does not provont the package to end in both tags (common and cmake3)


Updated tags:

configmanagement7-common-{candidate,testing,release}
configmanagement6-common-{candidate,testing,release}

configmanagement7-facter-31-{candidate,testing,release}
configmanagement6-facter-31-{candidate,testing,release}

configmanagement7-hiera-31-{candidate,testing,release}
configmanagement6-hiera-31-{candidate,testing,release}

configmanagement7-puppet-44-{candidate,testing,release}
configmanagement6-puppet-44-{candidate,testing,release}

configmanagement7-puppetserver-23-{candidate,testing,release}
configmanagement6-puppetserver-23-{candidate,testing,release}

configmanagement7-cmake-3-{candidate,testing,release}
configmanagement6-cmake-3-{candidate,testing,release}

configmanagement7-puppet-pc1-{candidate,testing,release}
configmanagement6-puppet-pc1-{candidate,testing,release}

~0026120

alphacc (developer)

Ok waiting from +1 from sponsors and we can go forward.

~0026122

kbsingh@karan.org (administrator)

are these tag's going to inherit from each other ?

~0026124

alphacc (developer)

common by default yes. everybody get's common.

And we will have to inherit cmake-3-release to wanted tags.

~0026127

roidelapluie (reporter)

Here are the implications (as attachements)

~0026593

alphacc (developer)

Do we have a go for this ? Let me know !

~0026807

roidelapluie (reporter)

Yes we have a go

~0026808

roidelapluie (reporter)

However now it is
configmanagement7-puppet45-{candidate,testing,release}
configmanagement6-puppet45-{candidate,testing,release}

~0026809

arrfab (administrator)

My understanding is that SIG Chair already gave it a go, so what do you need more ? IF that was discussed between the SIG, I guess that it was then already approved. Can we move this forward ?

~0026878

alphacc (developer)

Would it be ok to rename "*puppet-pc1*" to "puppetcollection-1" to respect the logic <project>-<release>.

Thomas

~0026879

roidelapluie (reporter)

yes

~0026910

alphacc (developer)

As discussed over the phone, we dump minor release as buildroot won't change. Available targets are :

target | buildroot | default destination

configmanagement7-common-el7 configmanagement7-common-el7-build configmanagement7-common-candidate

configmanagement7-facter-3-el7 configmanagement7-facter-3-el7-build configmanagement7-facter-3-candidate

configmanagement7-hiera-3-el7 configmanagement7-hiera-3-el7-build configmanagement7-hiera-3-candidate

configmanagement7-puppet-4-el7 configmanagement7-puppet-4-el7-build configmanagement7-puppet-4-candidate

configmanagement7-puppetserver-2-el7 configmanagement7-puppetserver-2-el7-build configmanagement7-puppetserver-2-candidate


puppetcollection-1 is the distribution so no tag needed, on buildlogs.c.o we would like to have :

buildlogs.centos.org/centos/7/configmanagement/puppetcollection/1/ with all above packages (subdirectory for each project and repodata at the root)

That we need to confirm with Brian and KB.

All tags are ready please test.

~0026935

bstinson (developer)

We can close this and do a new bug for the buildlogs space for puppetcollection when there are RPMs available in the tags (we can't add to the push scripts until we have RPMs). That being said, the structure looks good to me.

~0026936

alphacc (developer)

I'll keep it open until we test and get el6 tags, but happy to close it then.

~0029833

alphacc (developer)

Closing old tickets. Feel free to reopen if needed.
+Notes

-Issue History
Date Modified Username Field Change
2016-03-24 09:26 roidelapluie New Issue
2016-03-24 13:17 alphacc Note Added: 0026115
2016-03-24 13:28 roidelapluie Note Added: 0026116
2016-03-24 13:57 alphacc Note Added: 0026120
2016-03-24 15:26 kbsingh@karan.org Note Added: 0026122
2016-03-24 15:50 alphacc Note Added: 0026124
2016-03-24 16:23 roidelapluie File Added: puppettags.png
2016-03-24 16:24 roidelapluie Note Added: 0026127
2016-05-18 12:39 alphacc Note Added: 0026593
2016-06-08 07:18 roidelapluie Note Added: 0026807
2016-06-08 07:19 roidelapluie Note Added: 0026808
2016-06-08 07:19 arrfab Note Added: 0026809
2016-06-08 07:20 arrfab Relationship added related to 0010850
2016-06-14 09:37 alphacc Note Added: 0026878
2016-06-14 09:46 roidelapluie Note Added: 0026879
2016-06-17 14:44 alphacc Note Added: 0026910
2016-06-20 19:31 bstinson Note Added: 0026935
2016-06-20 19:54 alphacc Note Added: 0026936
2017-08-09 13:02 alphacc Status new => closed
2017-08-09 13:02 alphacc Resolution open => fixed
2017-08-09 13:02 alphacc Note Added: 0029833
+Issue History